> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Optimization Metrics

> Get metrics for the portfolio optimizations which have been run.



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/reports/optimizations/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/reports/optimizations/:
    get:
      tags:
        - api
      description: Get metrics for the portfolio optimizations which have been run.
      operationId: api_v1_custom_org_reports_optimizations_retrieve
      parameters:
        - in: query
          name: end_date
          schema:
            type: string
            format: date-time
          description: Filter optimizations created on or before this datetime
        - in: query
          name: external_client_id
          schema:
            type: string
          description: Filter optimizations for a specific client by external_id
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: start_date
          schema:
            type: string
            format: date-time
          description: Filter optimizations created on or after this datetime
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OptimizationMetricsResponse'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    OptimizationMetricsResponse:
      type: object
      properties:
        count:
          $ref: '#/components/schemas/OptimizationMetricsCounts'
        runtime_ms:
          $ref: '#/components/schemas/OptimizationMetricsRuntimes'
      required:
        - count
        - runtime_ms
    OptimizationMetricsCounts:
      type: object
      properties:
        total:
          type: integer
          default: 0
        completed:
          type: integer
          default: 0
        running:
          type: integer
          default: 0
        failed:
          type: integer
          default: 0
    OptimizationMetricsRuntimes:
      type: object
      properties:
        mean:
          type: integer
        min:
          type: integer
        max:
          type: integer
        p95:
          type: integer
      required:
        - max
        - mean
        - min
        - p95
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````